Xalan-Java 2.7.1: Class ElemLiteralResult.LiteralElementAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemLiteralResult.LiteralElementAttributes

    java.lang.Object
      |
      +--org.apache.xalan.templates.ElemLiteralResult.LiteralElementAttributes

public class ElemLiteralResult.LiteralElementAttributes
extends java.lang.Object
implements NamedNodeMap

Constructor Summary
`ElemLiteralResult.LiteralElementAttributes()` Construct a NameNodeMap.

Method Summary
`int` | `getLength()` Return the number of Attributes on this Element
`Node` | `getNamedItem(java.lang.String name)` Retrieves a node specified by name.
`Node` | `getNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)` Retrieves a node specified by local name and namespace URI.
`Node` | `item(int i)` Returns the `index`th item in the map.
`Node` | `removeNamedItem(java.lang.String name)`
`Node` | `removeNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)`
`Node` | `setNamedItem(Node arg)` Unimplemented.
`Node` | `setNamedItemNS(Node arg)` Unimplemented.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemLiteralResult.LiteralElementAttributes

    public ElemLiteralResult.LiteralElementAttributes()

  Construct a NameNodeMap.

Method Detail

### getLength

    public int getLength()

  Return the number of Attributes on this Element
  Specified by:
    getLength in interface NamedNodeMap
  Returns:
    The number of nodes in this map. The range of valid child node indices is `0` to `length-1` inclusive

### getNamedItem

    public Node getNamedItem(java.lang.String name)

  Retrieves a node specified by name.
  Specified by:
    getNamedItem in interface NamedNodeMap
  Parameters:
    `name` - The `nodeName` of a node to retrieve.
  Returns:
    A `Node` (of any type) with the specified `nodeName`, or `null` if it does not identify any node in this map.

### getNamedItemNS

    public Node getNamedItemNS(java.lang.String namespaceURI,
                               java.lang.String localName)

  Retrieves a node specified by local name and namespace URI.
  Specified by:
    getNamedItemNS in interface NamedNodeMap
  Parameters:
    `namespaceURI` - Namespace URI of attribute node to get
    `localName` - Local part of qualified name of attribute node to get
  Returns:
    A `Node` (of any type) with the specified `nodeName`, or `null` if it does not identify any node in this map.

### item

    public Node item(int i)

  Returns the `index`th item in the map. If `index` is greater than or equal to the number of nodes in this map, this returns `null`.
  Specified by:
    item in interface NamedNodeMap
  Parameters:
    `i` - The index of the requested item.
  Returns:
    The node at the `index`th position in the map, or `null` if that is not a valid index.

### removeNamedItem

    public Node removeNamedItem(java.lang.String name)
                         throws DOMException

  Specified by:
    removeNamedItem in interface NamedNodeMap
  Parameters:
    `name` - of the node to remove
  Returns:
    The node removed from this map if a node with such a name exists.
  Throws:
    DOMException -
  See Also:
    `NamedNodeMap`

### removeNamedItemNS

    public Node removeNamedItemNS(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws DOMException

  Specified by:
    removeNamedItemNS in interface NamedNodeMap
  Parameters:
    `namespaceURI` - Namespace URI of the node to remove
    `localName` - Local part of qualified name of the node to remove
  Returns:
    The node removed from this map if a node with such a local name and namespace URI exists
  Throws:
    DOMException -
  See Also:
    `NamedNodeMap`

### setNamedItem

    public Node setNamedItem(Node arg)
                      throws DOMException

  Unimplemented. See org.w3c.dom.NamedNodeMap
  Specified by:
    setNamedItem in interface NamedNodeMap
  Parameters:
    `A` - node to store in this map
  Returns:
    If the new Node replaces an existing node the replaced Node is returned, otherwise null is returned
  Throws:
    DOMException -

### setNamedItemNS

    public Node setNamedItemNS(Node arg)
                        throws DOMException

  Unimplemented. See org.w3c.dom.NamedNodeMap
  Specified by:
    setNamedItemNS in interface NamedNodeMap
  Parameters:
    `A` - node to store in this map
  Returns:
    If the new Node replaces an existing node the replaced Node is returned, otherwise null is returned
  Throws:
    DOMException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.